View Issue Details

IDProjectCategoryView StatusLast Update
0001115PartDesignBugpublic2015-01-08 05:30
Reporterproject4 Assigned Tojmaustpc  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.13 
Target VersionFixed in Version0.14 
Summary0001115: Can't intuitively change value of a distance constraint
DescriptionWhen you have a model with different layers and constraints indicating distance between points and you want to get back to the sketch view from the 3D view to change something...
Double clicking on the value you want to change doesn't open the "insert datum" dialog as it would be expected, in fact the distance component doesn't become yellow as a currently selected object on the screen.

In order to make it work I have to select something on the model first or make a selection operation around the value I want to change (I mean something like click somewhere above left of the value and drag it to bottom right while pressing on the mouse button).
Only after that it's possible to change the value again.

I think changing other parameters (like angle or radius) will behave the same, don't have anything open right now to check.
TagsNo tags attached.
FreeCAD Information

Activities

project4

2013-04-28 18:26

reporter   ~0003123

OS: Ubuntu 11.10
Platform: 64-bit
Version: 0.13.1830 (Git)
Branch: releases/FreeCAD-0-13
Hash: ec7636d7aaf2612e9b43cff5d6a424037d53e505
Python version: 2.7.2+
Qt version: 4.7.4
Coin version: 3.1.3
SoQt version: 1.5.0
OCC version: 6.5.0

jmaustpc

2015-01-08 05:26

manager   ~0005574

Last edited: 2015-01-08 05:28

View 2 revisions

It does now, this has been fixed a long time ago.

OS: Ubuntu 14.04.1 LTS
Word size: 64-bit
Version: 0.14.3703 (Git)
Branch: FreeCAD-0-14
Hash: c6edd47334a3e6f209e493773093db2b9b4f0e40
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
SoQt version: 1.6.0a
OCC version: 6.7.0

jmaustpc

2015-01-08 05:30

manager   ~0005575

This worked in 0.14.3703 release version. So must have been fixed at some point in the past.

Issue History

Date Modified Username Field Change
2013-04-27 18:51 project4 New Issue
2013-04-28 18:26 project4 Note Added: 0003123
2015-01-08 05:26 jmaustpc Note Added: 0005574
2015-01-08 05:28 jmaustpc Note Edited: 0005574 View Revisions
2015-01-08 05:30 jmaustpc Note Added: 0005575
2015-01-08 05:30 jmaustpc Status new => closed
2015-01-08 05:30 jmaustpc Assigned To => jmaustpc
2015-01-08 05:30 jmaustpc Resolution open => fixed
2015-01-08 05:30 jmaustpc Fixed in Version => 0.14